MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030182Open CASCADE[OCCT] OCCT:Visualizationpublic2018-10-01 07:542019-03-09 05:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0030182: Visualization, Image_AlienPixMap - support reading encoded image from memory buffer
DescriptionCurrently Image_AlienPixMap doesn't provide an interface for reading encoded image from memory buffer - only file name can be given.
At the same time, underlying library (FreeImage) provides such feature.

It is desired extending interface to support this feature.
The most tricky thing would be defining an image format argument - it is undesirable using an enumeration; passing MIME type is desirable, although detecting format from magic header could be even better for formats providing such information (I suppose FreeImage already should support detection in this way).
TagsNo tags attached.
Test case numberbugs vis bug30182
Attached Files

- Relationships
related to 0028124newkgv Open CASCADE Visualization - availability of standard textures 
related to 0026299closedbugmaster Open CASCADE Visualization, Font - extend interface for loading resources 
related to 0030549resolvedabv Open CASCADE Coding - split Image_AlienPixMap into several classes 

-  Notes
(0082476)
git (administrator)
2019-03-01 02:58

Branch CR30182 has been created by kgv.

SHA-1: 45244209456e906a35d33d7f0673b62a0e584f4c


Detailed log of new commits:

Author: kgv
Date: Fri Mar 1 01:26:20 2019 +0300

    0030182: Visualization, Image_AlienPixMap - support reading encoded image from memory buffer
(0082477)
git (administrator)
2019-03-01 03:00

Branch CR30182 has been updated forcibly by kgv.

SHA-1: ea3665c416acadc407019572e95c2d8f5922e904
(0082478)
kgv (developer)
2019-03-01 03:34
edited on: 2019-03-01 07:49

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30182-master-KGV/ [^]

(0082481)
git (administrator)
2019-03-01 10:53

Branch CR30182 has been updated forcibly by kgv.

SHA-1: 170795aae229391ceea2b84aaaad014048deb8d3
(0082482)
git (administrator)
2019-03-01 11:14

Branch CR30182 has been updated forcibly by kgv.

SHA-1: 6be0f9d3a6c60c370f4a7132e6841a64694ddc66
(0082484)
git (administrator)
2019-03-01 11:38

Branch CR30182 has been updated forcibly by kgv.

SHA-1: a03a8372ade51ac8712141e0b754b6af8f2b4d10
(0082487)
git (administrator)
2019-03-01 11:56

Branch CR30182 has been updated forcibly by kgv.

SHA-1: b056db407b303c870be8d3c1f9cf092fbefe8cdf
(0082488)
git (administrator)
2019-03-01 11:58

Branch CR30182 has been updated forcibly by kgv.

SHA-1: 779889eda00a79ad3e2000fcdc0e46c76f77a3b6
(0082495)
abv (manager)
2019-03-01 12:53

No remarks, please integrate
(0082502)
apn (administrator)
2019-03-01 14:01

Combination -
OCCT branch : CR30182
master SHA - ea3665c416acadc407019572e95c2d8f5922e904
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - b4f0b00c20dec5376d841941164e1fa4249d1d84
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16543.780000000068 / 16542.02999999996 [+0.01%]
Products
Total CPU difference: 9068.080000000029 / 9061.510000000035 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 17920.4375 / 17945.9375 [-0.14%]
Products
Total CPU difference: 10471.328125 / 10439.25 [+0.31%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0082561)
git (administrator)
2019-03-03 20:49

Branch CR30182 has been updated by apn.

SHA-1: bf4c8cbc5f6a4acc531bc359d6ee9ab75fc26c31


Detailed log of new commits:

Author: kgv
Date: Sun Mar 3 14:24:04 2019 +0300

    # 0030182 - fix compiler warning on old (pre-C++11) compilers

(0082622)
git (administrator)
2019-03-05 13:46

Branch CR30182 has been deleted by kgv.

SHA-1: bf4c8cbc5f6a4acc531bc359d6ee9ab75fc26c31

- Related Changesets
occt: master 88b12b7c
Timestamp: 2019-02-28 22:26:20
Author: kgv
Committer: apn
Details ] Diff ]
0030182: Visualization, Image_AlienPixMap - support reading encoded image from memory buffer

Added two new Image_AlienPixMap::Load() methods, taking std::istream
and memory buffer (pointer, length) arguments.
This allows reading image from application memory or from file with non-zero offset.

Added Image_AlienPixMap::IsTopDownDefault() static property allowing to query rows order used by linked image library,
so that application might generate UV texture coordinates accordingly.

Added missing Release() to IWICImagingFactory instance.
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.hxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - tests/bugs/vis/bug1188 Diff ] File ]
mod - tests/bugs/vis/bug25475 Diff ] File ]
add - tests/bugs/vis/bug30182 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-01 07:54 kgv New Issue
2018-10-01 07:54 kgv Assigned To => mnv
2018-10-01 07:55 kgv Description Updated View Revisions
2018-10-01 07:57 kgv Relationship added related to 0030181
2018-10-01 07:57 kgv Status new => assigned
2018-10-01 07:58 kgv Relationship added related to 0028124
2018-10-01 08:00 kgv Relationship added related to 0026299
2019-03-01 02:58 git Note Added: 0082476
2019-03-01 03:00 git Note Added: 0082477
2019-03-01 03:34 kgv Note Added: 0082478
2019-03-01 03:34 kgv Assigned To mnv => san
2019-03-01 03:34 kgv Status assigned => resolved
2019-03-01 07:49 kgv Note Edited: 0082478 View Revisions
2019-03-01 10:53 git Note Added: 0082481
2019-03-01 11:14 git Note Added: 0082482
2019-03-01 11:38 git Note Added: 0082484
2019-03-01 11:56 git Note Added: 0082487
2019-03-01 11:58 git Note Added: 0082488
2019-03-01 12:11 kgv Assigned To san => abv
2019-03-01 12:53 abv Note Added: 0082495
2019-03-01 12:53 abv Assigned To abv => bugmaster
2019-03-01 12:53 abv Status resolved => reviewed
2019-03-01 14:01 apn Test case number => bugs vis bug30182
2019-03-01 14:01 apn Note Added: 0082502
2019-03-01 14:01 apn Status reviewed => tested
2019-03-03 20:49 git Note Added: 0082561
2019-03-03 21:12 apn Changeset attached => occt master 88b12b7c
2019-03-03 21:12 apn Assigned To bugmaster => apn
2019-03-03 21:12 apn Status tested => verified
2019-03-03 21:12 apn Resolution open => fixed
2019-03-05 13:46 git Note Added: 0082622
2019-03-09 05:52 kgv Relationship added related to 0030549


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker